須藤さん

5.5 です。遅くなってすみません。

結果を報告します。


◎ridk exec pacman -S mingw-w64-x86_64-cairo での結果

gem install --platform ruby cairo

しても,

checking for GCC... yes
checking for Win32 OS... yes
checking for cairo version (>= 1.2.0)... no

となって,インストールできませんでした。


◎最新版 cairo gem(x64-mingw32)

インストールして使えました。ありがとうございました。


◎ridk exec pacman -S mingw-w64-x86_64-cairo 無しでの結果

Ruby がインストールされていない Windows 10 マシン(32 ビット
OS)を用意し,RubyInstaller2 で Ruby を入れるところから,試
しました。

MSYS2で

pacman -Sy pacman
pacman -S base-devel mingw-w64-i686-toolchain

とかはして,

ridk exec pacman -S mingw-w64-x86_64-cairo

はせずに

gem install --platform ruby cairo

したところ,やはり

checking for cairo version (>= 1.2.0)... no

となってインストールできませんでした。



On 2017/05/31 9:33, Kouhei Sutou wrote:
> 須藤です。
> 
> In <73af27e9-3088-0000-9c8b-55bcc3de4d30 / moji.gr.jp>
>    "[ruby-list:50529] Re: Windows 10 の Ruby 2.4 で cairo 1.12.5 が動かない" on Mon, 29 May 2017 23:52:43 +0900,
>    "5.5" <5.5 / moji.gr.jp> wrote:
> 
>> とりあえず
>>
>>>     ridk exec pacman -S mingw-w64-x86_64-cairo
>>>     gem install --platform ruby cairo
>>
>> を試してみます。
>> (いま手許に環境が無いのですぐには試せませんが)
> 
> リリースしたので--platform rubyなしでいけるようになったはず
> です。
> 
> 
> ついでに、
> 
>>>     ridk exec pacman -S mingw-w64-x86_64-cairo
> 
> なしで
> 
>>>     gem install --platform ruby cairo
> 
> だけでもいけるようにした(なかったら自動で
> mingw-w64-x86_64-cairoをインストールするようにした)つもりな
> ので、できれば、それがうまくいくかどうか試してその結果を教え
> てもらえると助かります。
> 


-- 
5.5 / moji.gr.jp